# Uses of Class
it.tdlight.jni.TdApi.ChatStatisticsInteractionInfo

## Uses of TdApi.ChatStatisticsInteractionInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatStatisticsInteractionInfo
Modifier and Type
Field
Description
`TdApi.ChatStatisticsInteractionInfo[]`
TdApi.ChatStatisticsChannel.`recentInteractions`
Detailed statistics about number of views and shares of recently sent messages and stories.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatStatisticsInteractionInfo
Modifier
Constructor
Description
``
`ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanMessageViewCount, TdApi.StatisticalValue meanMessageShareCount, TdApi.StatisticalValue meanMessageReactionCount, TdApi.StatisticalValue meanStoryViewCount, TdApi.StatisticalValue meanStoryShareCount, TdApi.StatisticalValue meanStoryReactionCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph, TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsInteractionInfo[] recentInteractions)`
A detailed statistics about a channel chat.